%perl_module IO-Zlib 1.04 2

Summary:       IO:: style interface to Compress::Zlib
License:       Artistic
Group:         System Environment/Libraries
URL:           http://search.cpan.org/dist/%{pkgname}/
Source:        http://search.cpan.org/CPAN/authors/id/T/TO/TOMHUGHES/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: perl(Compress::Zlib)
Requires: perl(Compress::Zlib)

%description
This modules provides an IO:: style interface to the Compress::Zlib
package. The main advantage is that you can use an IO::Zlib object
in much the same way as an IO::File object so you can have common
code that doesn't know which sort of file it is using.

%prep
%setup -q -n %{pkgname}-%{version} 

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* ChangeLog
%{perl_vendorlib}/IO/Zlib.pm
%{perl_man3dir}/IO::Zlib.3pm*


%changelog
* Fri Sep 16 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
